<?xml version="1.0" encoding="UTF-8"?>
<problem
    version="1.0"
    id ="ru.ifmo.neerc.io.2014-2015.20150214i.partition"
>
    <judging>
        <script type="%ioi">
            <testset
                name="preliminary"

                input-name  ="partition.in"
                output-name ="partition.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit = "2s"
                memory-limit ="268435456"
            >
                <test points="0" comment="test from sample"/>
                <test points="0" comment="test from sample"/>
            </testset>

            <testset
                name ="main"
                input-name  ="partition.in"
                output-name ="partition.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="2s"
                memory-limit ="268435456"
            >
                <test-group
                    comment = "k = 2"
                    score = "sum"
                    feedback = "outcome"
                    group-bonus = "20"
                >
                    <test points = "0" comment = "min test, n = 2, k = 2"/>                
                    <test points = "0" comment = "min test, n = 4, k = 2"/>                
                    <test points = "0" comment = "min test, n = 6, k = 2"/>                
                    <test points = "0" comment = "min test, n = 8, k = 2"/>                
                    <test points = "0" comment = "n = 28202, k = 2"/>                
                    <test points = "0" comment = "n = 23674, k = 2"/>                
                    <test points = "0" comment = "n = 11358, k = 2"/>                
                    <test points = "0" comment = "n = 42622, k = 2"/>                
                    <test points = "0" comment = "n = 68202, k = 2"/>                
                    <test points = "0" comment = "n = 100000, k = 2"/>                
                    <test points = "0" comment = "n = 99999, k = 2"/>                
                    <test points = "0" comment = "n = 1, k = 2"/>                
                </test-group>

                <test-group
                    comment = "k is even"
                    score = "sum"
                    feedback = "outcome"
                    group-bonus = "30"
                >
                    <test points = "0" comment = "random test, n = 98736, k = 4"/>                
                    <test points = "0" comment = "random test, n = 36982, k = 10"/>                
                    <test points = "0" comment = "random test, n = 6, k = 6"/>                
                    <test points = "0" comment = "random test, n = 10912, k = 2"/>                
                    <test points = "0" comment = "random test, n = 8, k = 8"/>                
                    <test points = "0" comment = "random test, n = 8, k = 8"/>                
                    <test points = "0" comment = "random test, n = 12500, k = 6"/>                
                    <test points = "0" comment = "random test, n = 31588, k = 8"/>                
                    <test points = "0" comment = "random test, n = 7144, k = 2"/>                
                    <test points = "0" comment = "random test, n = 10, k = 10"/>                
                    <test points = "0" comment = "random test, n = 91840, k = 66016"/>                
                    <test points = "0" comment = "random test, n = 33410, k = 33410"/>                
                    <test points = "0" comment = "random test, n = 10336, k = 10336"/>                
                    <test points = "0" comment = "random test, n = 19390, k = 19390"/>                
                    <test points = "0" comment = "random test, n = 31650, k = 31650"/>                
                    <test points = "0" comment = "random test, n = 70178, k = 10090"/>                
                    <test points = "0" comment = "random test, n = 66608, k = 65636"/>                
                    <test points = "0" comment = "random test, n = 83216, k = 80914"/>                
                    <test points = "0" comment = "random test, n = 35146, k = 35146"/>                
                    <test points = "0" comment = "random test, n = 38662, k = 19502"/>                
                    <test points = "0" comment = "random test with no answer, n = 44923, k = 56740"/>                
                    <test points = "0" comment = "random test with no answer, n = 28443, k = 28442"/>                
                    <test points = "0" comment = "random test with no answer, n = 98499, k = 98498"/>                
                    <test points = "0" comment = "random test with no answer, n = 75655, k = 69462"/>                
                    <test points = "0" comment = "random test with no answer, n = 94693, k = 10408"/>                
                    <test points = "0" comment = "random test with no answer, n = 65479, k = 65478"/>                
                    <test points = "0" comment = "random test with no answer, n = 21629, k = 21628"/>                
                    <test points = "0" comment = "random test with no answer, n = 98653, k = 98652"/>                
                    <test points = "0" comment = "random test with no answer, n = 27237, k = 27236"/>                
                    <test points = "0" comment = "random test with no answer, n = 3384, k = 13906"/>                
                    <test points = "0" comment = "n = 53340, k = 12"/>                
                    <test points = "0" comment = "n = 53340, k = 28"/>                
                </test-group>

                <test-group
                    comment = "n, k &lt;= 100000"
                    score = "sum"
                    feedback = "outcome"
                    group-bonus = "50"
                >
                    <test points = "0" comment = "n = 50000, k = 2"/>                
                    <test points = "0" comment = "n = 49999, k = 2"/>                
                    <test points = "0" comment = "n = 53340, k = 8"/>                
                    <test points = "0" comment = "n = 53340, k = 12"/>                
                    <test points = "0" comment = "n = 53340, k = 28"/>                
                    <test points = "0" comment = "random test, n = 97764, k = 8021"/>                
                    <test points = "0" comment = "random test, n = 63722, k = 43097"/>                
                    <test points = "0" comment = "random test, n = 83608, k = 26669"/>                
                    <test points = "0" comment = "random test, n = 94896, k = 91017"/>                
                    <test points = "0" comment = "random test, n = 77992, k = 56483"/>                
                    <test points = "0" comment = "random test, n = 42458, k = 15267"/>                
                    <test points = "0" comment = "random test, n = 56374, k = 3779"/>                
                    <test points = "0" comment = "random test, n = 61786, k = 1043"/>                
                    <test points = "0" comment = "random test, n = 82934, k = 61573"/>                
                    <test points = "0" comment = "random test, n = 96906, k = 80961"/>                
                    <test points = "0" comment = "random test, n = 99106, k = 71861"/>                
                    <test points = "0" comment = "random test, n = 80206, k = 63549"/>                
                    <test points = "0" comment = "random test, n = 93758, k = 41255"/>                
                    <test points = "0" comment = "random test, n = 89566, k = 81703"/>                
                    <test points = "0" comment = "random test, n = 62986, k = 31699"/>                
                    <test points = "0" comment = "n = 6, k = 3"/>                
                    <test points = "0" comment = "n = 89094, k = 3"/>                
                    <test points = "0" comment = "n = 30174, k = 3"/>                
                    <test points = "0" comment = "n = 56612, k = 3"/>                
                    <test points = "0" comment = "n = 81090, k = 3"/>                
                    <test points = "0" comment = "n = 65882, k = 3"/>                
                    <test points = "0" comment = "n = 57276, k = 3"/>                
                    <test points = "0" comment = "n = 78760, k = 3"/>                
                    <test points = "0" comment = "n = 80198, k = 3"/>                
                    <test points = "0" comment = "n = 14434, k = 3"/>                
                    <test points = "0" comment = "n = 86282, k = 3"/>                
                    <test points = "0" comment = "n = 65072, k = 3"/>                
                    <test points = "0" comment = "n = 80982, k = 3"/>                
                    <test points = "0" comment = "n = 4872, k = 3"/>                
                    <test points = "0" comment = "n = 73978, k = 3"/>                
                    <test points = "0" comment = "n = 68734, k = 3"/>                
                    <test points = "0" comment = "n = 65536, k = 3"/>                
                    <test points = "0" comment = "n = 128, k = 3"/>                
                    <test points = "0" comment = "n = 32768, k = 3"/>                
                    <test points = "0" comment = "n = 4, k = 3"/>                
                    <test points = "0" comment = "n = 8192, k = 3"/>                
                    <test points = "0" comment = "random test with no answer, n = 13903, k = 57404"/>                
                    <test points = "0" comment = "random test with no answer, n = 5503, k = 19955"/>                
                    <test points = "0" comment = "random test with no answer, n = 21730, k = 44226"/>                
                    <test points = "0" comment = "random test with no answer, n = 31419, k = 72859"/>                
                    <test points = "0" comment = "random test with no answer, n = 87249, k = 19217"/>                
                    <test points = "0" comment = "random test with no answer, n = 64295, k = 27662"/>                
                    <test points = "0" comment = "random test with no answer, n = 1557, k = 84310"/>                
                    <test points = "0" comment = "random test with no answer, n = 66437, k = 83446"/>                
                    <test points = "0" comment = "random test with no answer, n = 52876, k = 92890"/>                
                    <test points = "0" comment = "random test with no answer, n = 6529, k = 35295"/>                
                </test-group>

            </testset>

            <verifier type="%testlib">
                <binary executable-id ="java.check" file ="check.jar" />
            </verifier>
        </script>
    </judging>
</problem>
